package NET.worlds.scape;

import java.io.IOException;

public class SetRandomIntegerAction extends SlidePropertyAction {
    private int _min = 0;
    private int _max = 10;
    private int _value;
    private int _start;
    private static Object classCookie = new Object();

    public SetRandomIntegerAction() {
    }

    public Persister trigger(Event var1, Persister var2) {
        SetRandomIntegerAction var3 = null;
        this._value = (int)((Math.random() * (_max - _min)) + _min);
        if (this.useParam()) {
            try {
                this._value = Integer.valueOf(this.param()).intValue();
            } catch (NumberFormatException var6) {
                System.out.println(this.getName() + " unable to parse " + this.paramName());
                this._value = 0;
            }
        }

        int var4 = this._value;
        if (this.slide()) {
            if (var2 == null) {
                this.start();
                this._start = ((Integer)this.get()).intValue();
            }

            int var5 = (int)this.fraction();
            if ((double)var5 < 1.0) {
                var4 = (int)((this._value - this._start) * var5 + this._start);
                var3 = this;
            }
        }

        this.set(new Integer(var4));
        return var3;
    }

    public Object properties(int var1, int var2, int var3, Object var4) throws NoSuchPropertyException {
        Object var5 = null;
        switch (var1 - var2) {
            case 0:
                if (var3 == 0) {
                    var5 = IntegerPropertyEditor.make(new Property(this, var1, "Min"));
                } else if (var3 == 1) {
                    var5 = new Integer(this._min);
                } else if (var3 == 2) {
                    this._min = ((Integer)var4).intValue();
                }
                break;
            case 1:
                if (var3 == 0) {
                    var5 = IntegerPropertyEditor.make(new Property(this, var1, "Max"));
                } else if (var3 == 1) {
                    var5 = new Integer(this._max);
                } else if (var3 == 2) {
                    this._max = ((Integer)var4).intValue();
                }
                break;
            default:
                var5 = super.properties(var1, var2 + 2, var3, var4);
        }

        return var5;
    }

    public void saveState(Saver var1) throws IOException {
        var1.saveVersion(0, classCookie);
        super.saveState(var1);
        var1.saveInt(this._min);
        var1.saveInt(this._max);
    }

    public void restoreState(Restorer var1) throws IOException, TooNewException {
        switch (var1.restoreVersion(classCookie)) {
            case 0:
                super.restoreState(var1);
                this._min = var1.restoreInt();
                this._max = var1.restoreInt();
                break;
            default:
                throw new TooNewException();
        }
    }
}
