package NET.worlds.console;

import NET.worlds.core.IniFile;
import NET.worlds.scape.FrameEvent;

import java.awt.*;

public class NotePart extends NoteDuplex {

}

abstract class NoteDuplex implements FramePart {
    private boolean classicTextArea;
    public SharedTextArea listen;

    public NoteDuplex() {
        this(true);
    }

    public NoteDuplex(boolean var1) {
        this(var1, 3);
    }

    public NoteDuplex(boolean var1, int var2) {
        this.classicTextArea = IniFile.gamma().getIniInt("classicChatBox", 1) == 1;
        if (this.classicTextArea) {
            this.listen = new ClassicSharedTextArea(var2, 30, var1);
            this.listen.setBackground(Color.white);
        } else {
            this.listen = new NewSharedTextArea(var2, 30, var1);
            this.listen.setBackground(GammaTextArea.getBackgroundColor());
        }

        this.listen.setForeground(Color.black);
    }

    public void println(String var1) {
        this.listen.println(var1);
    }

    public void activate(Console console, Container container, Console console1) {
        if (!this.classicTextArea) {
            Color var4 = GammaTextArea.getBackgroundColor();
            this.listen.setBackground(var4);
            this.listen.setForeground(Color.black);
            this.listen.repaint();
        } else {
            this.listen.setBackground(Color.white);
            this.listen.setForeground(Color.black);
        }
    }

    public void deactivate() {

    }

    public boolean action(Event event, Object o) {
        return false;
    }

    public boolean handle(FrameEvent frameEvent) {
        this.listen.poll();

        return true;
    }

    public void scrollToBottom() {
        this.listen.scrollToBottom();
    }

    public void forceTakeFocus() {
        ((FocusPreservingTextField)this.listen).takeNextFocus();
    }
}
