//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package NET.worlds.scape;

import NET.worlds.core.Debug;
import NET.worlds.network.URL;

import java.io.IOException;

public class SetPortalAction extends SetPortalPropertyAction {
    String _farSidePortalName = null;
    private boolean _farSideIsPortal = true;
    private boolean _allowDownload = true;
    String _farSideRoomName = null;
    private URL _farSideWorld = null;
    private float _farx;
    private float _fary;
    private float _farz;
    private float _fartheta;
    private float _userFarx;
    private float _userFary;
    private float _userFarz;
    private float _userFartheta;
    private Point3 _start;
    private static Object classCookie = new Object();

    public SetPortalAction() {
    }

    public Persister trigger(Event var1, Persister var2) {
        SetPortalAction var3 = null;

        if (this._portal != null) {
            _portal.disconnect();
            _portal.setFarSideInfo(this._farSideWorld, this._farSideRoomName, this._farSidePortalName);
            _portal.setFar(_farx, _fary, _farz, _fartheta);
            _portal.setUserFar(_userFarx, _userFary, _userFarz, _userFartheta);
            _portal.reset();
        }
        return var3;
    }

    public Object properties(int var1, int var2, int var3, Object var4) throws NoSuchPropertyException {
        Object var5 = null;
        switch (var1 - var2) {
            case 0:
                if (var3 == 0) {
                    var5 = URLPropertyEditor.make((new Property(this, var1, "Destination World URL (null means this world)")).allowSetNull(), "world");
                } else if (var3 == 1) {
                    var5 = this._farSideWorld;
                } else if (var3 == 2) {
                    this._farSideWorld = (URL)var4;
                }
                break;
            case 1:
                if (var3 == 0) {
                    var5 = StringPropertyEditor.make((new Property(this, var1, "Destination Room Name")).allowSetNull());
                } else if (var3 == 1) {
                    var5 = this._farSideRoomName == null ? "" : this._farSideRoomName;
                } else if (var3 == 2) {
                    this._farSideRoomName = (String)var4;
                    if ("".equals(this._farSideRoomName)) {
                        this._farSideRoomName = null;
                    }
                }
                break;
            case 2:
                if (var3 == 0) {
                    var5 = BooleanPropertyEditor.make(new Property(this, var1, "Connect to a portal"), "Use location and orientation", "Use portal");
                } else if (var3 == 1) {
                    var5 = new Boolean(this._farSideIsPortal);
                } else if (var3 == 2) {
                    this._farSideIsPortal = ((Boolean)var4).booleanValue();
                }
                break;
            case 3:
                if (var3 == 0) {
                    var5 = BooleanPropertyEditor.make(new Property(this, var1, "Download if world not present"), "Never download", "Allow download");
                } else if (var3 == 1) {
                    var5 = new Boolean(this._allowDownload);
                } else if (var3 == 2) {
                    this._allowDownload = ((Boolean)var4).booleanValue();
                }
                break;
            case 4:
                if (var3 == 0) {
                    var5 = new Property(this, var1, "Destination Portal Name");
                    if (this._farSideIsPortal) {
                        var5 = StringPropertyEditor.make((Property)var5);
                    }
                } else if (var3 == 1) {
                    var5 = this._farSidePortalName == null ? "" : this._farSidePortalName;
                } else if (var3 == 2) {
                    this._farSidePortalName = (String)var4;
                }
                break;
            case 5:
                if (var3 == 0) {
                    var5 = new Property(this, var1, "Destination position");
                    if (!this._farSideIsPortal) {
                        var5 = Point3PropertyEditor.make((Property)var5);
                    }
                } else if (var3 == 1) {
                    var5 = new Point3(this._userFarx, this._userFary, this._userFarz);
                } else if (var3 == 2) {
                    Point3 var6 = (Point3)var4;
                    this._farx = this._userFarx = var6.x;
                    this._fary = this._userFary = var6.y;
                    this._farz = this._userFarz = var6.z;
                }
                break;
            case 6:
                if (var3 == 0) {
                    var5 = new Property(this, var1, "Destination orientation (degrees, clockwise from North)");
                    if (!this._farSideIsPortal) {
                        var5 = FloatPropertyEditor.make((Property)var5, 0.0F, 360.0F);
                    }
                } else if (var3 == 1) {
                    var5 = new Float(this._userFartheta);
                } else if (var3 == 2) {
                    this._fartheta = this._userFartheta = ((Float)var4).floatValue();
                }
                break;
            default:
                var5 = super.properties(var1, var2 + 7, var3, var4);
        }

        return var5;
    }

    public void saveState(Saver var1) throws IOException {
        var1.saveVersion(0, classCookie);
        super.saveState(var1);
        var1.saveBoolean(this._farSideIsPortal);
        var1.saveBoolean(this._allowDownload);
        var1.saveString(this._farSidePortalName);
        URL.save(var1, this._farSideWorld);
        var1.saveString(this._farSideRoomName);
        var1.saveFloat(this._userFarx);
        var1.saveFloat(this._userFary);
        var1.saveFloat(this._userFarz);
        var1.saveFloat(this._userFartheta);
    }

    public void restoreState(Restorer var1) throws IOException, TooNewException {
        switch (var1.restoreVersion(classCookie)) {
            case 0:
                super.restoreState(var1);
                this._farSideIsPortal = var1.restoreBoolean();
                this._allowDownload = var1.restoreBoolean();
                this._farSidePortalName = var1.restoreString();
                this._farSideWorld = URL.restore(var1);
                this._farSideRoomName = var1.restoreString();
                this._farx = var1.restoreFloat();
                this._fary = var1.restoreFloat();
                this._farz = var1.restoreFloat();
                this._fartheta = var1.restoreFloat();
                break;
            default:
                throw new TooNewException();
        }
    }
}
